Bug 537249 - RHQ tables containing rows with checkboxes do not remember what is checked between paginations
RHQ tables containing rows with checkboxes do not remember what is checked be...
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
John Sefler
: SubBug
Depends On:
Blocks: auto_needs_triage rhq_triage rhq4 jon-sprint10-bugs
  Show dependency treegraph
 
Reported: 2009-11-12 17:21 EST by John Sefler
Modified: 2011-02-17 12:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-17 12:13:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2009-11-12 17:21:32 EST
Description of problem:
RHQ tables containing rows with checkboxes do not remember what is checked between paginations.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. create many (20+) Repositories so that the "Total" in the table exceeds the number of "Items Per Page"
2. select some repositories by checking their checkboxes
3. paginate to the next page of the "Repositories" table
4. paginate back to the prior page
  
Actual results:
The originally checked rows in the table are now unchecked.

Expected results:
The originally checked rows should remain checked.

Additional info:
Satellite solved this same issue for multiply selected rows across paginated tables.
Comment 1 wes hayutin 2010-02-16 11:59:01 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 12:03:47 EST
making sure we're not missing any bugs in rhq_triage
Comment 3 Charles Crouch 2010-05-13 15:30:13 EDT
I'm guessing this isnt a regression?
Comment 4 John Sefler 2010-05-13 16:24:43 EDT
no - not a regression - same behaviour in jon 2.2, 2.3 - resource checkboxes spanning multiple paginated pages do not retain their checked state.
Comment 5 John Mazzitelli 2011-02-17 12:13:25 EST
this is jsf related.. this issue isn't with gwt

Note You need to log in before you can comment on or make changes to this bug.